[Breaking Change] Deprecations expiring after v2.2 release

403 views
Skip to first unread message

Kate Lovett

unread,
Jun 9, 2021, 5:31:31 PM6/9/21
to Flutter Public Announcements (flutter-announce)
Hello everyone,

With a new release comes a new batch of deprecations that have reached end of life. 
Please see flutter.dev/go/deprecations-removed-after-2-2 for the next set of APIs that are scheduled to be removed before the next stable release in accordance with our Deprecation Policy.

I am pleased to share that most already have Flutter fixes available on the stable channel to assist migrating to the newer APIs, with coverage for the rest to follow. 

Lastly, I am happy to share with contributors that we now have thorough guidance for authoring flutter fixes, Data driven Fixes, available in the wiki. Our breaking change and deprecation policies have been updated to require authoring fixes when these changes are made, making it easier for users to migrate as soon as possible during the deprecation period. 

If you has questions about authoring fixes, feel free to request guidance on your PR from @Piinks. :)

Thank you! 

Reply all
Reply to author
Forward
0 new messages